Kreslení kót

From FreeCAD Documentation
Revision as of 17:03, 13 February 2014 by Honza32 (talk | contribs) (Created page with "==Volby== * Stiskněte klávesu {{KEY|X}}, {{KEY|Y}} nebo {{KEY|Z}} po zadání bodu pro určení osy, na které bude ležet další bod. * Pro ruční zadání souřadnic jed...")

Draft Dimension

Menu location
Draft -> Dimension
Workbenches
Kreslení, Architektura
Default shortcut
D I
Introduced in version
-
See also
None

Popis

Nástroj Kóta kreslí kóty v aktuálním dokumentu podle dvou bodů definujících měřenou vzdálenost a třetího bodu, který určuje kudy bude kóta procházet.

Použití

  1. Stiskněte tlačítko Kóta nebo klávesy D a pak I
  2. Klikněte na bod ve 3D pohledu nebo zadejte souřadnice
  3. Klikněte na druhý bod ve 3D pohledu nebo zadejte souřadnice
  4. Klikněte na třetí bod ve 3D pohledu nebo zadejte souřadnice

Dostupné typy kót

  • Lineární kóty: výběrem libovolných dvou bodů nebo nějaké rovné hrany při stisknuté klávese ALT.
  • Vodorovné/svislé kóty: stisknutím klávesy SHIFT po výběru prvního bodu.
  • Kóty průměru: výběrem zakřivené hrany při stisknuté klávese ALT.
  • Kóty poloměru: výběrem zakřivené hrany při stisknuté klávese ALT a potom stiskem klávesy SHIFT.
  • Kóty úhlů: vyběrem 2 přímých hran při stisknuté klávese ALT.

Volby

  • Stiskněte klávesu X, Y nebo Z po zadání bodu pro určení osy, na které bude ležet další bod.
  • Pro ruční zadání souřadnic jednoduše vložte číslo a ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby kóty vodorovně nebo svisle nebo pokud pracujete na zakřivené hraně, přepíná mezi módem průměru a poloměru.
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, můžete kreslit pokračovací kóty jednu za druhou při sdílení stejné základny.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu.
  • Výběrem existující hrany se stisknutou klávesou ALT, místo vložení měřeného bodu se kóta stane parametrickou a bude si pamatovat ke které hraně patří. Jestli se později některý z koncových bodů hrany posune, bude jej kóta následovat.

Properties

  • ÚdajeStart: The start point of the distance to measure
  • ÚdajeEnd: The end point of the distance to measure
  • ÚdajeDimline: A point through which the dimension line must pass
  • PohledDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • PohledFont Size: The size of the letters
  • PohledExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • PohledText Position: Can be used to force the text to be displayed at a certain position
  • PohledOverride: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
  • PohledFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Dimension tool can by used in macros and from the python console by using the following functions:

 '''makeDimension (p1,p2,[p3])''' or '''makeDimension (object,i1,i2,p3)''' or '''makeDimension (objlist,indices,p3)'''
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
 '''makeAngularDimension (center,[angle1,angle2],p3)'''
  • creates an angular Dimension from the given center, with the given list of angles, passing through p3.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeDimension(p1,p2,p3)

Links

Tutorial Projecting dimensions on a Drawing Page